Summary:	Volume control for Pulseaudio sound server for Linux
Name:		pavucontrol
Version:	0.9.10
Release:	14
License:	GPLv2+
Group:		Sound
Url:		http://0pointer.de/lennart/projects/pavucontrol
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Patch1:		pavucontrol-coling-history-branch.patch
Patch2:		pavucontrol-peak-detect-survive-move.patch
Patch3:		pavucontrol-0.9.10-now-l10n-ru.patch
Patch100:	0100-Split-out-the-creation-of-the-PA-context-a-little.patch
Patch101:	0101-streamwidget-Fix-a-compile-warning.patch
Patch102:	0102-mainwindow-Add-a-method-to-remove-all-widgets-e.g.-o.patch
Patch103:	0103-main-Automatically-reconnect-to-PA-upon-disconnectio.patch
Patch104:	0104-connection-Show-a-nice-label-when-connecting-to-PA.patch
Patch105:	0105-source-outputs-Fix-a-bug-where-the-no-streams-label-.patch
Patch106:	0106-main-Cleanup-labels-after-connection-rework.patch
Patch107:	0107-mainwindow-Compact-iterator-decls.patch
Patch108:	0108-mainwindow-Save-restore-window-size.patch
Patch109:	0109-mainwindow-Fix-clearing-out-of-clients.patch
Patch110:	0110-main-Add-a-tab-command-line-argument-to-force-a-give.patch
Patch111:	0111-main-Format-string-fixes.patch
Patch112:	0112-source-outputs-Source-outputs-do-not-support-volume-.patch
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	lynx
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libglademm-2.4)
BuildRequires:	pkgconfig(libpulse)
Requires:	pulseaudio
Requires(post,postun):	desktop-file-utils
Provides:	pulseaudio-volume-control = %{EVRD}

%description
Pulseaudio Volume Control (pavucontrol) is a simple GTK based volume control
tool for the Pulseaudio sound server. In contrast to classic mixer tools this
one allows you to control both the volume of hardware devices and of each
playback stream separately.

%files -f %{name}.lang
%doc README LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/%{name}.glade
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
echo "clean:" > Makefile
./bootstrap.sh -V
%configure2_5x
%make

%install
%makeinstall_std

sed -i "s/^Icon=.*/Icon=%{name}/" %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor="" \
	--add-category="GTK" \
	--add-category="X-MandrivaLinux-Multimedia-Sound" \
	--add-category="X-MandrivaLinux-CrossDesktop" \
	--remove-category="Application" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icons
install -D -m 0644 %{SOURCE1} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

%find_lang %{name}


%changelog
* Mon Sep 29 2014 Denis Silakov <denis.silakov@rosalab.ru> 0.9.10-14
+ Revision: 1794c4e
- Improve Russian l10n patch


